{
  "name": "frontend",
  "version": "0.0.0",
  "scripts": {
    "ng": "ng",
    "generate:api": "openapi-generator-cli generate -i ../openapi.yml -g typescript-angular -o src/app/services/api/ -p=removeOperationIdPrefix=true",
    "file-manager": "cd node_modules/@syncfusion/ej2-filemanager-node-filesystem && node filesystem-server.js -d D:/Uni/7.Semester/Bachlorpraktikum/Media",
    "backend": "cd ../backend && npm start",
    "frontend": "ng serve",
    "linting": "npx eslint ./**/*.ts",
    "start": "concurrently \"npm run file-manager\" \"npm run backend\" \"npm run frontend\"",
    "build": "ng build",
    "watch": "ng build --watch --configuration development",
    "test": "ng test"
  },
  "private": true,
  "dependencies": {
    "@angular/animations": "~13.0.0",
    "@angular/cdk": "^13.1.1",
    "@angular/common": "~13.0.0",
    "@angular/compiler": "~13.0.0",
    "@angular/core": "~13.0.0",
    "@angular/forms": "~13.0.0",
    "@angular/material": "^13.1.1",
    "@angular/platform-browser": "~13.0.0",
    "@angular/platform-browser-dynamic": "~13.0.0",
    "@angular/router": "~13.0.0",
    "@fortawesome/angular-fontawesome": "^0.10.1",
    "@fortawesome/fontawesome-svg-core": "~1.2.36",
    "@fortawesome/free-solid-svg-icons": "^5.15.4",
    "@material/button": "^13.0.0",
    "@syncfusion/ej2-angular-filemanager": "^19.4.43",
    "@syncfusion/ej2-filemanager-node-filesystem": "^18.1.54",
    "archiver": "^5.3.0",
    "button": "^1.1.1",
    "concurrently": "^7.0.0",
    "rxjs": "~7.4.0",
    "tslib": "^2.3.0",
    "zone.js": "~0.11.4"
  },
  "devDependencies": {
    "@angular-devkit/build-angular": "^13.1.4",
    "@angular/cdk": "^13.1.1",
    "@angular/cli": "~13.0.3",
    "@angular/compiler-cli": "~13.0.0",
    "@openapitools/openapi-generator-cli": "^2.4.25",
    "@types/jasmine": "~3.10.0",
    "@types/node": "^12.11.1",
    "@typescript-eslint/eslint-plugin": "^5.9.0",
    "@typescript-eslint/parser": "^5.9.0",
    "eslint": "^7.32.0",
    "eslint-config-standard": "^16.0.3",
    "eslint-plugin-import": "^2.25.4",
    "eslint-plugin-node": "^11.1.0",
    "eslint-plugin-promise": "^5.2.0",
    "jasmine-core": "~3.10.0",
    "karma": "~6.3.0",
    "karma-chrome-launcher": "~3.1.0",
    "karma-coverage": "~2.0.3",
    "karma-jasmine": "~4.0.0",
    "karma-jasmine-html-reporter": "~1.7.0",
    "typescript": "~4.4.3"
  }
}
